org.apache.xerces.impl.xs

## Class XSDeclarationPool

- java.lang.Object
- - org.apache.xerces.impl.xs.XSDeclarationPool

    public final class XSDeclarationPool
    extends java.lang.Object

This class is pool that enables caching of XML Schema declaration objects. Before a compiled grammar object is garbage collected, the implementation will add all XML Schema component declarations to the pool. Note: The cashing mechanism is not implemented yet.

Version:
  $Id: XSDeclarationPool.java 805582 2009-08-18 21:13:20Z sandygao $
Author:
  Elena Litani, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`XSDeclarationPool()`

### Method Summary

All Methods Instance Methods Concrete Methods
`XSAttributeDecl` `getAttributeDecl()`
`XSAttributeUseImpl` `getAttributeUse()`
`XSComplexTypeDecl` `getComplexTypeDecl()`
`XSElementDecl` `getElementDecl()`
`XSModelGroupImpl` `getModelGroup()`
`XSParticleDecl` `getParticleDecl()`
`XSSimpleTypeDecl` `getSimpleTypeDecl()`
`void` `reset()`
`void` `setDVFactory(SchemaDVFactoryImpl dvFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSDeclarationPool

    public XSDeclarationPool()

### Method Detail

#### setDVFactory

    public void setDVFactory(SchemaDVFactoryImpl dvFactory)

#### getElementDecl

    public final XSElementDecl getElementDecl()

#### getAttributeDecl

    public final XSAttributeDecl getAttributeDecl()

#### getAttributeUse

    public final XSAttributeUseImpl getAttributeUse()

#### getComplexTypeDecl

    public final XSComplexTypeDecl getComplexTypeDecl()

#### getSimpleTypeDecl

    public final XSSimpleTypeDecl getSimpleTypeDecl()

#### getParticleDecl

    public final XSParticleDecl getParticleDecl()

#### getModelGroup

    public final XSModelGroupImpl getModelGroup()

#### reset

    public void reset()